summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva2018-05-02 22:14:02 +0200
committer David Spencer2018-05-02 22:14:02 +0200
commitd104d7c023f2944b8bf3cd522121ec4d3f5fcee9 (patch)
treedc692dc99f598a508856ef25ea896f1054b0e9e4
parentefcc49354ce49c6a9ab3107b46f24fb35582e6ce (diff)
downloadslackbuilds-d104d7c023f2944b8bf3cd522121ec4d3f5fcee9.tar.gz
system/nano-syntax-highlighting: Added (Nano Syntax Highlighting).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/nano-syntax-highlighting/README19
-rw-r--r--system/nano-syntax-highlighting/nano-syntax-highlighting.SlackBuild69
-rw-r--r--system/nano-syntax-highlighting/nano-syntax-highlighting.info10
-rw-r--r--system/nano-syntax-highlighting/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/system/nano-syntax-highlighting/README b/system/nano-syntax-highlighting/README
new file mode 100644
index 0000000000..959f98ad20
--- /dev/null
+++ b/system/nano-syntax-highlighting/README
@@ -0,0 +1,19 @@
+nano-syntax-highlighting (Improved Nano Syntax Highlighting Files)
+
+This repository holds {lang}.nanorc files that have improved
+definitions of syntax highlighting for various languages.
+
+Once there you should add the languages you want to your nano
+configuration file ~/.nanorc or /etc/nanorc, for example:
+
+## C/C++
+include "/usr/share/nano-syntax-highlighting/c.nanorc"
+
+Or to be less verbose, append content of the folder in one line
+with wildcard:
+
+For current user.
+$ echo 'include "/usr/share/nano-syntax-highlighting/*.nanorc"' >> ~/.nanorc
+
+For all users.
+# echo 'include "/usr/share/nano-syntax-highlighting/*.nanorc"' >> /etc/nanorc
diff --git a/system/nano-syntax-highlighting/nano-syntax-highlighting.SlackBuild b/system/nano-syntax-highlighting/nano-syntax-highlighting.SlackBuild
new file mode 100644
index 0000000000..5aed4f6ce6
--- /dev/null
+++ b/system/nano-syntax-highlighting/nano-syntax-highlighting.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+#
+# Slackware build script for the nano-syntax-highlighting.
+#
+# Copyright 2018 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nano-syntax-highlighting
+VERSION=${VERSION:-20180423}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=${SRCNAM:-nanorc}
+SRCVER=${SRCVER:-2e4f53fe82e5c7d111948284d5a2d6161978510c}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -d $PKG/usr/share/nano-syntax-highlighting
+install -m644 *.nanorc $PKG/usr/share/nano-syntax-highlighting/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp license nanorc Readme.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/nano-syntax-highlighting/nano-syntax-highlighting.info b/system/nano-syntax-highlighting/nano-syntax-highlighting.info
new file mode 100644
index 0000000000..0cec8766b7
--- /dev/null
+++ b/system/nano-syntax-highlighting/nano-syntax-highlighting.info
@@ -0,0 +1,10 @@
+PRGNAM="nano-syntax-highlighting"
+VERSION="20180423"
+HOMEPAGE="https://github.com/scopatz/nanorc"
+DOWNLOAD="https://github.com/scopatz/nanorc/archive/2e4f53fe82e5c7d111948284d5a2d6161978510c/nanorc-2e4f53fe82e5c7d111948284d5a2d6161978510c.tar.gz"
+MD5SUM="1c80e8cb3f2f9dadb33f8b2941679387"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/system/nano-syntax-highlighting/slack-desc b/system/nano-syntax-highlighting/slack-desc
new file mode 100644
index 0000000000..a2fe3a65d0
--- /dev/null
+++ b/system/nano-syntax-highlighting/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nano-syntax-highlighting: nano-syntax-highlighting (Improved Nano Syntax Highlighting Files)
+nano-syntax-highlighting:
+nano-syntax-highlighting: This repository holds {lang}.nanorc files that have improved
+nano-syntax-highlighting: definitions of syntax highlighting for various languages.
+nano-syntax-highlighting:
+nano-syntax-highlighting: Home page: https://github.com/scopatz/nanorc
+nano-syntax-highlighting:
+nano-syntax-highlighting:
+nano-syntax-highlighting:
+nano-syntax-highlighting:
+nano-syntax-highlighting: